<div class="container mat-elevation-z8">
  <mat-table #table [dataSource]="dataSource">

    <ng-container matColumnDef="productName">
      <mat-header-cell *matHeaderCellDef> Product Name</mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.productName}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="stockCount">
      <mat-header-cell *matHeaderCellDef> Stock Count </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.stockCount}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="manufacturer">
      <mat-header-cell *matHeaderCellDef> Manufacturer </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.manufacturer}}</mat-cell>
    </ng-container>

    <ng-container matColumnDef="description">
      <mat-header-cell *matHeaderCellDef> Product Description </mat-header-cell>
      <mat-cell *matCellDef="let element"> {{element.description}}</mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
  </mat-table>
</div>
